Fency.ai
Sessions

Sessions

Short-lived tokens used to authenticate client-side operations.

Sessions contain short-lived tokens used to authenticate client-side operations such as streaming, chat completions, and agent tasks. Create a session on your server using your secret key, then pass the returned clientToken to your client.

POST /v1/sessions is one endpoint. Each creatable session type has its own operation page:

The session object

AttributeTypeDescription
idstringThe unique identifier for the session.
createdAtstringWhen the session was created.
typestringCREATE_STREAM, CREATE_AGENT_TASK, CREATE_AGENT_TASK_FILE_DOWNLOAD, GET_AGENT_TASK_RESPONSE, or SUBMIT_MANUAL_ACTION_RESULT.
clientTokenstringA short-lived token used to authenticate client-side operations. Pass this to your client; it should never be stored or logged.

On this page